Summary: Utilities for managing POSIX Access Control Lists
Name: acl
Version: 2.2.52
Release: r0.0
License: LGPLv2.1+ & GPLv2+
Group: libs
Packager: Wind River <info@windriver.com>
URL: http://savannah.nongnu.org/projects/acl/
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: attr
BuildRequires: virtual/gettext
BuildRequires: gettext-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libacl.so.1(ACL_1.0)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libacl1 >= 2.2.52
Requires: libacl.so.1()(64bit)
Requires: libc6 >= 2.22
Provides: elf(buildid) = d7fb485ac36bf91605f37fe440468d3b9e64b26e
Provides: elf(buildid) = f3ab8e573246ba448b58b300d74d88b256313e93
Provides: elf(buildid) = afc45a609197a2a65f1473846e393a38a16d47b9

%description
Utilities for managing POSIX Access Control Lists.

%package -n libacl1
Summary: Utilities for managing POSIX Access Control Lists
License: LGPLv2.1+
Group: libs
Requires: rtld(GNU_HASH)
Requires: libattr1 >= 2.4.47
Requires: libc6 >= 2.22
Requires(post): rtld(GNU_HASH)
Requires(post): libattr1 >= 2.4.47
Requires(post): libc6 >= 2.22
Provides: elf(buildid) = 90f29d7f736f145f5e892a6b9ec6eac35bfcc1b3
Provides: libacl.so.1(ACL_1.0)(64bit)
Provides: libacl.so.1(ACL_1.2)(64bit)
Provides: libacl = 2.2.52
Provides: libacl.so.1()(64bit)
Provides: libacl.so.1(ACL_1.1)(64bit)

%description -n libacl1
Utilities for managing POSIX Access Control Lists.

%package -n acl-dbg
Summary: Utilities for managing POSIX Access Control Lists - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: libattr-dbg
Suggests: libacl-dbg
Recommends: acl = 2.2.52-r0.0

%description -n acl-dbg
Utilities for managing POSIX Access Control Lists.  This package contains
ELF symbols and related sources for debugging purposes.

%package -n acl-staticdev
Summary: Utilities for managing POSIX Access Control Lists - Development files (Static Libraries)
Group: devel
Requires: acl-dev = 2.2.52-r0.0

%description -n acl-staticdev
Utilities for managing POSIX Access Control Lists.  This package contains
static libraries for software development.

%package -n acl-dev
Summary: Utilities for managing POSIX Access Control Lists - Development files
Group: devel
Requires: libacl1
Requires: acl = 2.2.52-r0.0
Suggests: libattr-dev
Suggests: libc6-dev
Suggests: attr-dev
Suggests: libacl-dev

%description -n acl-dev
Utilities for managing POSIX Access Control Lists.  This package contains
symbolic links, header files, and related items necessary for software
development.

%package -n acl-doc
Summary: Utilities for managing POSIX Access Control Lists - Documentation files
Group: doc

%description -n acl-doc
Utilities for managing POSIX Access Control Lists.  This package contains
documentation.

%package -n acl-locale-de
Summary: Utilities for managing POSIX Access Control Lists - de translations
Group: libs
Suggests: virtual-locale-de
Provides: de-translation
Provides: acl-locale

%description -n acl-locale-de
Utilities for managing POSIX Access Control Lists.  This package contains
language translation files for the de locale.

%package -n acl-locale-es
Summary: Utilities for managing POSIX Access Control Lists - es translations
Group: libs
Suggests: virtual-locale-es
Provides: es-translation
Provides: acl-locale

%description -n acl-locale-es
Utilities for managing POSIX Access Control Lists.  This package contains
language translation files for the es locale.

%package -n acl-locale-fr
Summary: Utilities for managing POSIX Access Control Lists - fr translations
Group: libs
Suggests: virtual-locale-fr
Provides: fr-translation
Provides: acl-locale

%description -n acl-locale-fr
Utilities for managing POSIX Access Control Lists.  This package contains
language translation files for the fr locale.

%package -n acl-locale-gl
Summary: Utilities for managing POSIX Access Control Lists - gl translations
Group: libs
Suggests: virtual-locale-gl
Provides: gl-translation
Provides: acl-locale

%description -n acl-locale-gl
Utilities for managing POSIX Access Control Lists.  This package contains
language translation files for the gl locale.

%package -n acl-locale-pl
Summary: Utilities for managing POSIX Access Control Lists - pl translations
Group: libs
Suggests: virtual-locale-pl
Provides: pl-translation
Provides: acl-locale

%description -n acl-locale-pl
Utilities for managing POSIX Access Control Lists.  This package contains
language translation files for the pl locale.

%package -n acl-locale-sv
Summary: Utilities for managing POSIX Access Control Lists - sv translations
Group: libs
Suggests: virtual-locale-sv
Provides: acl-locale
Provides: sv-translation

%description -n acl-locale-sv
Utilities for managing POSIX Access Control Lists.  This package contains
language translation files for the sv locale.

%post -n libacl1
# libacl1 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/getfacl"
"/usr/bin/setfacl"
"/usr/bin/chacl"

%files -n libacl1
%defattr(-,-,-,-)
%dir "/lib64"
"/lib64/libacl.so.1.1.0"
"/lib64/libacl.so.1"

%files -n acl-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/lib64"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/getfacl"
"/usr/bin/.debug/setfacl"
"/usr/bin/.debug/chacl"
%dir "/usr/src/debug"
%dir "/usr/src/debug/acl"
%dir "/usr/src/debug/acl/2.2.52-r0"
%dir "/usr/src/debug/acl/2.2.52-r0/acl-2.2.52"
%dir "/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/getfacl"
%dir "/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/setfacl"
%dir "/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libmisc"
%dir "/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/chacl"
%dir "/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/include"
%dir "/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/getfacl/user_group.h"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/getfacl/user_group.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/getfacl/getfacl.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/setfacl/parse.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/setfacl/sequence.h"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/setfacl/do_set.h"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/setfacl/sequence.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/setfacl/parse.h"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/setfacl/do_set.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/setfacl/setfacl.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libmisc/walk_tree.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libmisc/next_line.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libmisc/quote.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libmisc/high_water_alloc.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libmisc/unquote.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/chacl/chacl.c"
%dir "/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/include/sys"
%dir "/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/include/acl"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/include/misc.h"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/include/walk_tree.h"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/include/acl_ea.h"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/include/sys/acl.h"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/include/acl/libacl.h"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_delete_entry.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_free.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/libobj.h"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_set_qualifier.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_delete_perm.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_delete_def_file.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/perm_copy_file.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_clear_perms.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_to_any_text.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/__acl_extended_file.h"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/__acl_to_any_text.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_copy_ext.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_dup.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_add_perm.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_cmp.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_check.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_set_permset.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/__acl_from_xattr.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_from_mode.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_extended_fd.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_get_entry.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_extended_file_nofollow.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_size.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/__acl_reorder_obj_p.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/__libobj.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_from_text.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_valid.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/__apply_mask_to_mode.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_set_tag_type.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_init.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_set_fd.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_get_qualifier.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_copy_int.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/__acl_from_xattr.h"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/__acl_extended_file.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/__acl_to_xattr.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_set_file.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_error.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/__acl_to_xattr.h"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_copy_entry.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/perm_copy_fd.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_get_fd.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_create_entry.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_entries.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_extended_file.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_get_perm.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_calc_mask.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_get_permset.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/libacl.h"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_get_file.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_to_text.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_get_tag_type.c"
"/usr/src/debug/acl/2.2.52-r0/acl-2.2.52/libacl/acl_equiv_mode.c"
%dir "/lib64/.debug"
"/lib64/.debug/libacl.so.1.1.0"

%files -n acl-staticdev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/lib64"
%dir "/usr/lib64"
"/usr/lib64/libacl.a"
"/lib64/libacl.a"

%files -n acl-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/lib64"
%dir "/usr/lib64"
%dir "/usr/include"
"/usr/lib64/libacl.la"
"/usr/lib64/libacl.so"
%dir "/usr/include/sys"
%dir "/usr/include/acl"
"/usr/include/sys/acl.h"
"/usr/include/acl/libacl.h"
"/lib64/libacl.la"
"/lib64/libacl.so"

%files -n acl-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/doc"
%dir "/usr/share/man"
%dir "/usr/share/doc/acl"
"/usr/share/doc/acl/PORTING"
"/usr/share/doc/acl/COPYING"
"/usr/share/doc/acl/COPYING.LGPL"
"/usr/share/doc/acl/README"
"/usr/share/doc/acl/CHANGES.gz"
%dir "/usr/share/man/man5"
%dir "/usr/share/man/man3"
%dir "/usr/share/man/man1"
"/usr/share/man/man5/acl.5.gz"
"/usr/share/man/man3/acl_to_any_text.3.gz"
"/usr/share/man/man3/acl_valid.3.gz"
"/usr/share/man/man3/acl_entries.3.gz"
"/usr/share/man/man3/acl_set_fd.3.gz"
"/usr/share/man/man3/acl_add_perm.3.gz"
"/usr/share/man/man3/acl_get_qualifier.3.gz"
"/usr/share/man/man3/acl_get_perm.3.gz"
"/usr/share/man/man3/acl_from_text.3.gz"
"/usr/share/man/man3/acl_set_tag_type.3.gz"
"/usr/share/man/man3/acl_delete_perm.3.gz"
"/usr/share/man/man3/acl_extended_file_nofollow.3.gz"
"/usr/share/man/man3/acl_size.3.gz"
"/usr/share/man/man3/acl_from_mode.3.gz"
"/usr/share/man/man3/acl_create_entry.3.gz"
"/usr/share/man/man3/acl_get_permset.3.gz"
"/usr/share/man/man3/acl_copy_ext.3.gz"
"/usr/share/man/man3/acl_equiv_mode.3.gz"
"/usr/share/man/man3/acl_get_entry.3.gz"
"/usr/share/man/man3/acl_free.3.gz"
"/usr/share/man/man3/acl_set_permset.3.gz"
"/usr/share/man/man3/acl_copy_int.3.gz"
"/usr/share/man/man3/acl_to_text.3.gz"
"/usr/share/man/man3/acl_calc_mask.3.gz"
"/usr/share/man/man3/acl_get_fd.3.gz"
"/usr/share/man/man3/acl_check.3.gz"
"/usr/share/man/man3/acl_delete_def_file.3.gz"
"/usr/share/man/man3/acl_get_file.3.gz"
"/usr/share/man/man3/acl_copy_entry.3.gz"
"/usr/share/man/man3/acl_set_qualifier.3.gz"
"/usr/share/man/man3/acl_clear_perms.3.gz"
"/usr/share/man/man3/acl_init.3.gz"
"/usr/share/man/man3/acl_set_file.3.gz"
"/usr/share/man/man3/acl_dup.3.gz"
"/usr/share/man/man3/acl_delete_entry.3.gz"
"/usr/share/man/man3/acl_extended_file.3.gz"
"/usr/share/man/man3/acl_cmp.3.gz"
"/usr/share/man/man3/acl_extended_fd.3.gz"
"/usr/share/man/man3/acl_get_tag_type.3.gz"
"/usr/share/man/man3/acl_error.3.gz"
"/usr/share/man/man1/getfacl.1.gz"
"/usr/share/man/man1/setfacl.1.gz"
"/usr/share/man/man1/chacl.1.gz"

%files -n acl-locale-de
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/de"
%dir "/usr/share/locale/de/LC_MESSAGES"
"/usr/share/locale/de/LC_MESSAGES/acl.mo"

%files -n acl-locale-es
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/es"
%dir "/usr/share/locale/es/LC_MESSAGES"
"/usr/share/locale/es/LC_MESSAGES/acl.mo"

%files -n acl-locale-fr
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/fr"
%dir "/usr/share/locale/fr/LC_MESSAGES"
"/usr/share/locale/fr/LC_MESSAGES/acl.mo"

%files -n acl-locale-gl
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/gl"
%dir "/usr/share/locale/gl/LC_MESSAGES"
"/usr/share/locale/gl/LC_MESSAGES/acl.mo"

%files -n acl-locale-pl
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/pl"
%dir "/usr/share/locale/pl/LC_MESSAGES"
"/usr/share/locale/pl/LC_MESSAGES/acl.mo"

%files -n acl-locale-sv
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/sv"
%dir "/usr/share/locale/sv/LC_MESSAGES"
"/usr/share/locale/sv/LC_MESSAGES/acl.mo"

